POST
/
v1
/
documents
/
upload
/
start
curl
curl -X POST "https://dev-partner-api.sannos.ai/v1/documents/upload/start" \
  -H "X-API-Key: $EVE_COMPANY_KEY" \
  -H "Content-Type: application/json" \
  -d '{"files":[],"complianceReviewId":"string","businessEntityId":"string","complianceFrameworkId":"string","controlId":"string","selectedControlItemIds":"string","selectedControlClusterIds":"string","auditLanguageId":"string","isConsolidated":true}'
{
  "sessionId": "<string>",
  "expiresAt": "2023-11-07T05:31:56Z",
  "files": [
    {
      "fileId": "<string>",
      "fileName": "<string>",
      "chunkSizeBytes": 123,
      "totalChunks": 123
    }
  ]
}

Authorizations

X-API-Key
string
header
required

API Key provided by Eve Admin Portal. Include this header in all authenticated requests.

Body

application/json
files
object[]
complianceReviewId
string | null
businessEntityId
string | null
complianceFrameworkId
string | null
controlId
string | null
selectedControlItemIds
string | null
selectedControlClusterIds
string | null
auditLanguageId
string | null
isConsolidated
boolean

Response

sessionId
string
expiresAt
string<date-time>
files
object[]